Bug 1330833 - Review Request: python-bitstring - Simple construction, analysis and modification of binary data
Summary: Review Request: python-bitstring - Simple construction, analysis and modifica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-27 06:17 UTC by Scott K Logan
Modified: 2018-08-20 14:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 14:54:29 UTC
jujens: fedora-review+


Attachments (Terms of Use)

Description Scott K Logan 2016-04-27 06:17:18 UTC
Spec URL: https://cottsay.fedorapeople.org/python-bitstring/python-bitstring.spec

SRPM URL: https://cottsay.fedorapeople.org/python-bitstring/python-bitstring-3.1.4-1.fc25.src.rpm

Description:
bitstring is a pure Python module designed to help make the creation and
analysis of binary data as simple and natural as possible.

Bitstrings can be constructed from integers (big and little endian), hex,
octal, binary, strings or files. They can be sliced, joined, reversed,
inserted into, overwritten, etc. with simple functions or slice notation.
They can also be read from, searched and replaced, and navigated in, similar
to a file or stream.

Fedora Account System Username: cottsay

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13819926

rpmlint output:
python-bitstring.src: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python-bitstring.src: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python2-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python2-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python3-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python3-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
3 packages and 1 specfiles checked; 0 errors, 6 warnings.

Upstream has been encouraged to add a LICENSE file [1] per Fedora packaging guidelines [2].

Thanks,

--scott

[1] https://github.com/scott-griffiths/bitstring/pull/161
[2] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 1 Julien Enselme 2016-06-16 15:46:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Update to 3.1.5 (lastest version, contains license file) and include license file. Once this is done, I'll approve the package.


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* MIT/X11 (BSD like)",
     "Unknown or generated". 9 files have unknown license. Detailed output
     of licensecheck in /tmp/1330833-python-bitstring/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
No license yet with package.

[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 4 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-bitstring , python3-bitstring
[?]: Package functions as described.
[!]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-bitstring-3.1.4-1.fc25.noarch.rpm
          python3-bitstring-3.1.4-1.fc25.noarch.rpm
          python-bitstring-3.1.4-1.fc25.src.rpm
python2-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python2-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python3-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python3-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python-bitstring.src: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python-bitstring.src: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python2-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python3-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python3-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python2-bitstring (rpmlib, GLIBC filtered):
    python(abi)

python3-bitstring (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-bitstring:
    python-bitstring
    python2-bitstring

python3-bitstring:
    python3-bitstring



Source checksums
----------------
https://github.com/scott-griffiths/bitstring/archive/bitstring-3.1.4.tar.gz#/bitstring-3.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 7af93daed9759091e0308bc53dbb48db73f115ac7fba841386b65408b1c3096f
  CHECKSUM(SHA256) upstream package : 7af93daed9759091e0308bc53dbb48db73f115ac7fba841386b65408b1c3096f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1330833
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Julien Enselme 2017-03-13 13:33:22 UTC
Any progress on this review?

Comment 3 Scott K Logan 2017-03-14 00:09:42 UTC
Just haven't had time - I'll try to prioritize getting this one closed out.

Comment 4 Julien Enselme 2017-05-19 14:12:24 UTC
Any updates on this?

Comment 5 Scott K Logan 2017-05-21 19:47:13 UTC
Done and done.

Spec URL: https://cottsay.fedorapeople.org/python-bitstring/python-bitstring.spec
SRPM URL: https://cottsay.fedorapeople.org/python-bitstring/python-bitstring-3.1.5-1.fc27.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19673663

rpmlint output:
python-bitstring.src: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python-bitstring.src: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python2-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python2-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
python3-bitstring.noarch: W: spelling-error %description -l en_US Bitstrings -> Bit strings, Bit-strings, Bowstrings
python3-bitstring.noarch: W: spelling-error %description -l en_US endian -> Indian, Dianne, Diane
3 packages and 1 specfiles checked; 0 errors, 6 warnings.

* Sun May 21 2017 Scott K Logan <logans@cottsay.net> - 3.1.5-1
- Update to 3.1.5
- Include LICENSE file

Comment 6 Julien Enselme 2017-05-21 21:26:38 UTC
Looks good. Approved!

Comment 7 Gwyn Ciesla 2017-05-22 12:55:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-bitstring

Comment 8 Ben Rosser 2017-06-28 12:45:32 UTC
Hi,

This package seems like it hasn't actually been imported and built yet. Is something blocking this?

I'm not entirely sure of the right policy here, but I'd be willing to (co)maintain the package if that would be helpful.

Comment 9 Fedora Update System 2017-07-16 23:36:00 UTC
python-bitstring-3.1.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3fc948bd06

Comment 10 Fedora Update System 2017-07-16 23:36:12 UTC
python-bitstring-3.1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f11bfea78a

Comment 11 Scott K Logan 2017-07-16 23:43:54 UTC
I finally got around to this. Ben, if you're still interested in co-maintaining and are already a fedora packager, go ahead and request permissions.

Comment 12 Fedora Update System 2017-07-17 21:19:56 UTC
python-bitstring-3.1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-522f9891d3

Comment 13 Fedora Update System 2017-07-17 21:51:05 UTC
python-bitstring-3.1.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6d1586e7a

Comment 14 Fedora Update System 2017-07-18 00:23:59 UTC
python-bitstring-3.1.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3fc948bd06

Comment 15 Fedora Update System 2017-07-18 02:17:37 UTC
python-bitstring-3.1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f11bfea78a

Comment 16 Fedora Update System 2018-08-20 14:54:29 UTC
python-bitstring-3.1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.